program fjf565o;

type
  o = object
    function foo (a: integer) = foo: Integer;  (* WRONG *)
  end;

function o.foo (a: integer) = foo: Integer;
begin
  foo := a
end;

begin
  WriteLn ('failed')
end.
